Ny cyberbugg hotar internetsäkerhet

2014-09-25 10:42  

En bugg i kommandotolken Bash kan utgör ett av de största hoten i internets historia. Det enda sättet för vanliga användare att skydda sig är att uppdatera program och hårdvaror.

Linux är ett väldigt litet operativsystem för persondatorer men stort i servervärlden och det är därför som buggen i Bash utgör ett så stort hot.

En liknande bugg, Heartbleed, som upptäcktes i april, tillät hackare att spionera på datorer och ansågs mycket farlig. Genom buggen i Bash kan hackarna ta full kontroll över datorerna och riskerna är givetvis ännu större.

– Den ger fullständigt tillgång till systemen så en hackare kan ladda upp filer, köra filer och i princip sabba hela system. I riskzonen finns alla maskiner som kör någon form av Linux eller Unix inklusive Mac, säger Per Hellqvist på datasäkerhetsföretaget Symantec.

Just nu pågår ett intensivt arbete bland program- och hårdvarutillverkare med att täppa till säkerhetsluckan och det enda vi vanliga konsumenter kan göra är att uppdatera allt i datorerna, inklusive förstås säkerhetsprogrammen. Man bör också uppdatera mjukvaran i hemmanätverkets router. Hur det går till beskrivs på tillverkarens hemsida.

Även säkerhetsbloggaren Robert Graham jämför Bash-buggen med Heartbleed och påpekar att den största risken ligger i de system som aldrig kommer att repareras. Han nämner bland annat internetuppkopplade apparater som videokameror.

Särskilt allvarligt är det eftersom buggen har funnits i 22 år, och därmed finns i stora mängder apparater.

Bash är en så kallad kommandotolk ("shell" på engelska) till Unix. En kommandotolk gör det möjligt att ge instruktioner till ett operativsystem med textkommandon, ofta i ett terminalfönster.

Buggen i Bash gäller en så kallad miljövariabel i kommandotolken. När en funktion ska tilldelas variabeln fortsätter Bash att läsa kod efter den aktuella funktionen och det är därför möjligt för hackare att stoppa in skadlig kod som en svans efter den funktion som är avsedd för variabeln. Koden exekveras av Bash, och ger möjlighet för en angripare att utföra i stort sett vad som helst.

Enligt säkerhetsavdelningen Cert.se vid Myndigheten för samhällsskydd och beredskap kan man testa sårbarheten för buggen med följande kod:

$ env x='() { :;}; echo vulnerable' bash -c "echo this is a test"

Vid en sårbar installation ges följande svar:

vulnerable
this is a test

Mats Lewan

Mer om: Linux

Kommentarer

Välkommen att säga din mening på Ny Teknik.

Principen för våra regler är enkel: visa respekt för de personer vi skriver om och andra läsare som kommenterar artiklarna. Alla kommentarer modereras efter publiceringen av Ny Teknik eller av oss anlitad personal.

  Kommentarer

Debatt